Name:          a2ps
Version:       4.14
Release:       5mamba
Summary:       GNU a2ps is an Any to PostScript filter
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.gnu.org/software/a2ps/
Source:        ftp://ftp.gnu.org/gnu/a2ps/a2ps-%{version}.tar.gz
Patch0:        %{name}-4.13-includes.patch
Patch1:        %{name}-4.14-ghostscript_fonts_path.patch
License:       GPL
BuildRequires: bash
BuildRequires: bison
BuildRequires: flex
BuildRequires: gettext-devel
BuildRequires: ghostscript
BuildRequires: gperf
BuildRequires: groff
BuildRequires: gv
BuildRequires: perl-devel
BuildRequires: psutils
#BuildRequires: tetex-dvips
#BuildRequires: tetex-latex
BuildRequires: texinfo
BuildRequires: emacs-nox
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpaper-devel
## AUTOBUILDREQ-END
Requires:      file
Requires:      binutils
Requires:      debianutils
Requires:      emacs >= 21.3-3
Requires(post):%{__install_info}

# FIXME:
# checking for html2ps... no
# An HTML to PostScript converter written in Perl
# http://user.it.uu.se/~jan/html2ps.html

%description
GNU a2ps is an Any to PostScript filter.
Of course it processes plain text files, but also pretty prints quite a few popular languages.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GNU a2ps is an Any to PostScript filter.
Of course it processes plain text files, but also pretty prints quite a few popular languages.
This package contains static libraries and header files need for development.

%prep
%setup -q
#%patch0 -p1 -b .includes
%patch1 -p1 -b .ghostscript_fonts_path

%build
%configure \
   --with-medium=A4
#   --with-included-gettext

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%{find_lang} %{name}

%define info_files %{name}.info ogonkify.info regex.info

rm -f %{buildroot}%{_libdir}/*.a

%post
for info_file in %info_files
   do %install_info $info_file
done
# adapt /usr/share/a2ps/afm/fonts.map to the current system environment
( cd %{_datadir}/%{name}/afm/
  ./make_fonts_map.sh >/dev/null 2>&1
  mv -f fonts.map.new fonts.map)
exit 0

%preun
for info_file in %info_files
   do %uninstall_info $info_file
done
exit 0

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/a2ps
%{_bindir}/card
%{_bindir}/composeglyphs
%{_bindir}/fixnt
%{_bindir}/fixps
%{_bindir}/ogonkify
%{_bindir}/pdiff
%{_bindir}/psmandup
%{_bindir}/psset
%{_bindir}/texi2dvi4a2ps
%config(noreplace) %{_sysconfdir}/a2ps.cfg
%config(noreplace) %{_sysconfdir}/a2ps-site.cfg
%dir %{_datadir}/a2ps
%{_datadir}/a2ps/*
%{_datadir}/emacs/site-lisp/*
%dir %{_datadir}/ogonkify
%{_datadir}/ogonkify/*
%{_infodir}/a2ps.info*
%{_infodir}/ogonkify.*
%{_infodir}/regex.info*
%{_mandir}/man1/*
%doc AUTHORS COPYING NEWS README THANKS TODO

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.la
%doc ChangeLog

%changelog
* Wed Jun 02 2021 Automatic Build System <autodist@mambasoft.it> 4.14-5mamba
- automatic rebuild by autodist

* Tue Jun 01 2021 Automatic Build System <autodist@mambasoft.it> 4.14-4mamba
- automatic rebuild by autodist

* Thu Feb 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14-3mamba
- rebuilt to remove executable requirements

* Tue Jul 15 2008 gil <puntogil@libero.it> 4.14-2mamba
- rebuild with new libpaper-1.1.21-1mamba

* Mon Jan 07 2008 Aleph0 <aleph0@openmamba.org> 4.14-1mamba
- update to 4.14 (also fixes CAN-2004-1170, CVE-2004-1377)
- removed obsolete patches

* Mon Dec 03 2007 Aleph0 <aleph0@openmamba.org> 4.13b-7mamba
- use A4 format by default
- use system gettext library
- new package mantainer

* Wed Oct 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 4.13b-6mamba
- specfile update and rebuild

* Fri Jan 13 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 4.13b-5qilnx
- added missing build requirement

* Wed Nov 16 2005 Davide Madrisan <davide.madrisan@qilinux.it> 4.13b-4qilnx
- rebuilt

* Fri Apr 15 2005 Davide Madrisan <davide.madrisan@qilinux.it> 4.13b-3qilnx
- %%post, %%preun: install/uninstall info pages

* Fri Dec 10 2004 Davide Madrisan <davide.madrisan@qilinux.it> 4.13b-2qilnx
- fixed `a2ps-4.13-badscripts.patch'

* Mon Nov 29 2004 Davide Madrisan <davide.madrisan@qilinux.it> 4.13b-1qilnx
- package created by autospec
